DoorLockTrait.GetYearDayScheduleCommand.Response

class DoorLockTrait.GetYearDayScheduleCommand.Response : ClusterStruct


Returns the year day schedule data for the specified schedule and user indexes.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(
    yearDayIndex: UByte,
    userIndex: UShort,
    status: DoorLockTrait.DlStatus,
    localStartTime: UInt?,
    localEndTime: UInt?
)

Creates a response payload from the GetYearDaySchedule command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

UInt?

The ending time for the year day schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value.

UInt?

The starting time for the year day schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value.

DoorLockTrait.DlStatus

The status of the GetYearDaySchedule command.

UShort

The user index for the schedule.

UByte

The unique identifier for the year day schedule being retrieved.

Public constructors

Response

Response(
    yearDayIndex: UByte,
    userIndex: UShort,
    status: DoorLockTrait.DlStatus = DlStatus.Success,
    localStartTime: UInt? = null,
    localEndTime: UInt? = null
)

Creates a response payload from the GetYearDaySchedule command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

localEndTime

val localEndTime: UInt?

The ending time for the year day schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value.

localStartTime

val localStartTime: UInt?

The starting time for the year day schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value.

status

val status: DoorLockTrait.DlStatus

The status of the GetYearDaySchedule command.

userIndex

val userIndex: UShort

The user index for the schedule.

yearDayIndex

val yearDayIndex: UByte

The unique identifier for the year day schedule being retrieved.